﻿using System;
using System.Collections.Generic;
using Rhino;
using Rhino.Commands;
using Rhino.Input;
using Rhino.Input.Custom;

namespace FileImportPlugins
{
  public class FileImportPluginsCommand : Command
  {
    public FileImportPluginsCommand()
    {
      // Rhino only creates one instance of each command class defined in a
      // plug-in, so it is safe to store a refence in a static property.
      Instance = this;
    }

    ///<summary>The only instance of this command.</summary>
    public static FileImportPluginsCommand Instance
    {
      get; private set;
    }

    ///<returns>The command name as it appears on the Rhino command line.</returns>
    public override string EnglishName
    {
      get { return "FileImportPluginsCommand"; }
    }

    protected override Result RunCommand(RhinoDoc doc, RunMode mode)
    {
      // Usually commands in import plug-ins are used to modify settings and behavior.
      // The import work itself is performed by the FileImportPluginsPlugIn class.

      return Result.Success;
    }
  }
}
